2017-05-28 00:53 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0012412CentOS-7kernelpublic2017-01-31 05:35
ReporterMarcus Sundberg 
PrioritynormalSeverityblockReproducibilityhave not tried
StatusresolvedResolutionfixed 
Platformi386OSOS Version
Product Version7.3.1611 
Target VersionFixed in Version 
Summary0012412: Update 7.3 kernel to work on i686
Descriptionc7-i686 branch on git.kernel.org is not updated to produce a working i686 kernel.
Tagsi386
abrt_hash
URL
Attached Files

-Relationships
+Relationships

-Notes

~0028168

Marcus Sundberg (reporter)

I'm currently working on patches for this, so if anyone else is also please do let me know.

~0028174

toracat (manager)

According to:

http://buildlogs.centos.org/c7.1611.u/kernel/20161207134106/3.10.0-514.2.2.el7.i386/

kernel-3.10.0-514.2.2.el7.i686 was built successfully. Do you find patches that are needed other than those in that kernel? If so, can you share more details?

~0028182

Marcus Sundberg (reporter)

It was built successfully because -Werror was disabled for the i386 build, hiding all the errors and producing an unusable kernel. I assume this was done in order to be able to build other packages depending on the kernel packages.

But in order to release 7.3.1611 for i386 with a functional iptables the kernel needs to be updated just like was done for 7.2 in https://bugs.centos.org/view.php?id=10308

~0028183

Marcus Sundberg (reporter)

Changes to have working iptables/xtables for i386 can now be pulled from https://github.com/adamel/centos-kernel/tree/c7-i686-7.3

~0028184

toracat (manager)

Thank you for the updated patch.

Johnny, could you get this patch into your i686 kernel? I'll do the same for the plus kenrel.

~0028344

kabe (reporter)

Any progress on this blocker?
I confirmed that Marcus' patch https://bugs.centos.org/view.php?id=12412#c28183
does compile and runs on real machine (pentium 4).
iptables is working.

~0028511

toracat (manager)

CentOS 7.3.1611 for i386 released.
+Notes

-Issue History
Date Modified Username Field Change
2016-12-16 15:50 Marcus Sundberg New Issue
2016-12-16 15:50 Marcus Sundberg Tag Attached: i386
2016-12-16 15:52 Marcus Sundberg Note Added: 0028168
2016-12-16 23:39 toracat Note Added: 0028174
2016-12-16 23:39 toracat Status new => feedback
2016-12-18 21:48 Marcus Sundberg Note Added: 0028182
2016-12-18 21:48 Marcus Sundberg Status feedback => new
2016-12-18 22:00 Marcus Sundberg Note Added: 0028183
2016-12-18 23:01 toracat Status new => assigned
2016-12-18 23:01 toracat Note Added: 0028184
2017-01-13 10:42 kabe Note Added: 0028344
2017-01-31 05:35 toracat Status assigned => resolved
2017-01-31 05:35 toracat Resolution open => fixed
2017-01-31 05:35 toracat Note Added: 0028511
+Issue History